Bug 981159 - F19 fresh install fails to boot, cannot see MDADM administered disk
F19 fresh install fails to boot, cannot see MDADM administered disk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 03:06 EDT by Jens Tingleff
Modified: 2015-02-17 10:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:50:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DMESG output (63.53 KB, text/plain)
2013-07-04 03:06 EDT, Jens Tingleff
no flags Details
SOSreport (109.61 KB, text/plain)
2013-07-04 03:06 EDT, Jens Tingleff
no flags Details

  None (edit)
Description Jens Tingleff 2013-07-04 03:06:08 EDT
Created attachment 768611 [details]
DMESG output

Description of problem: Insteall from DVD, selecting KDE, onto mix of plain disk and MDADM RAID device fails at boot unable to see MDADM partition


Version-Release number of selected component (if applicable): 19


How reproducible: First two boots (causes me to have to resynch MDADM device, so not in a hurry to check)


Steps to Reproduce:
1. Install from x86_64 DVD onto plain disk, include MDADM device in install target
2. Boot
3. drop into emergency mode.

Actual results:  Interestingly, the device is there in emergency mode, but the error message is that the device is not found


Expected results: boot


Additional info: The install was half clean. /bot is on a seperate partition, and was not reformatted. / was reformatted. There was previsouly a F19-beta install on this system.

Funnily enough (ha ha ha), I had a similar problem on a MacBook Air where the HFS+ partition /boot/efi cvould not be found when booting. (I bet it's not even needed anymore at that stage).

"Fix" Use one of the historic systems on /boot to actually boot, do upgrade. After an upgrade, everything is OK.
Comment 1 Jens Tingleff 2013-07-04 03:06:41 EDT
Created attachment 768612 [details]
SOSreport
Comment 2 Mads Kiilerich 2013-08-18 19:07:25 EDT
I assume this is a BIOS system?

First, two sides of the same thing: Not formatting /boot is not a good idea, and using a shared /boot is also not a good idea. Leaving that out of the equation would make it simpler to find a solution.

Exactly what error message do you see ... and when?

Please attach the grub.cfg as created by the installer.
Comment 3 Jens Tingleff 2013-08-24 04:48:30 EDT
(In reply to Mads Kiilerich from comment #2)
> I assume this is a BIOS system?
> 
> First, two sides of the same thing: Not formatting /boot is not a good idea,
> and using a shared /boot is also not a good idea. Leaving that out of the
> equation would make it simpler to find a solution.
> 
> Exactly what error message do you see ... and when?
> 
> Please attach the grub.cfg as created by the installer.

Yes, this is a BIOS system.

The error message I see is the last three lines of the SOSreport above, to wit

[  188.399637] localhost.localdomain dracut-initqueue[228]: Warning: Could not boot.
[  188.401751] localhost.localdomain dracut-initqueue[228]: Warning: /dev/disk/by-uuid/6aaa431f-5ab8-4ed4-859b-2be8fc45c107 does not exist

I will see about backing up every single scrap of data on the computer and then I'll try to have another go.
Comment 4 Jens Tingleff 2013-08-27 01:55:48 EDT
(In reply to Mads Kiilerich from comment #2)
> I assume this is a BIOS system?
> 
> First, two sides of the same thing: Not formatting /boot is not a good idea,
> and using a shared /boot is also not a good idea. 

It turned out to be that simple. There was no problem when I asked for /boot to be formatted during install.

Thanks for taking the time to look at this.
Comment 5 Fedora End Of Life 2015-01-09 13:39:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:50:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.